%define	version 0.3.1
%define name kvoice
%define release 5mdk

Name: %{name}
Summary: Voice utility for modems 
Version: %{version}
Release: %{release}
Source: %{name}-%{version}.tar.bz2
Source1: icons-%{name}.tar.bz2 
Group: Graphical desktop/KDE
Copyright: GPL
BuildRoot: %{_tmppath}/%{name}-buildroot
Requires: qt-egcs-10x kdelibs >= 1.0

%description
Voice utility for modems.

%prep
rm -rf $RPM_BUILD_ROOT

%setup -n kvoice

%build
export QTDIR=%{_libdir}/qt
export KDEDIR=%{_libdir}/kde1-compat
libtoolize --force
CXXFLAGS="$RPM_OPT_FLAGS" ./configure --prefix=$KDEDIR --with-install-root=$RPM_BUILD_ROOT

mkdir -p $RPM_BUILD_ROOT    
uname -a|grep SMP && make -j 2 KDEDIR=$KDEDIR || make KDEDIR=$KDEDIR

%install
make bindir=$RPM_BUILD_ROOT/%{_bindir} kde_bindir=$RPM_BUILD_ROOT%{_bindir} \
kde_htmldir=$RPM_BUILD_ROOT/%{_datadir}/doc/kde1/HTML \
kde_icondir=$RPM_BUILD_ROOT/%{_datadir}/icons \
kde_locale=$RPM_BUILD_ROOT/%{_datadir}/locale \
kde_mimedir=$RPM_BUILD_ROOT/%{_datadir}/mimelnk \
kde_minidir=$RPM_BUILD_ROOT/%{_datadir}/icons/mini install

rm -rf $RPM_BUILD_ROOT/usr/share/applnk
mkdir -p $RPM_BUILD_ROOT/usr/lib/menu
cat <<EOF >$RPM_BUILD_ROOT/usr/lib/menu/%{name}
?package(%{name}):command="kvoice" icon="kvoice.xpm" needs="x11" section="Applications/Communications" title="KVoice"
EOF

#mdk icons
install -d $RPM_BUILD_ROOT/%{_iconsdir}
tar xIvf %{SOURCE1} -C $RPM_BUILD_ROOT/%{_iconsdir}

#cd $RPM_BUILD_ROOT
#find . -type d | sed '1,2d;s,^\.,\%attr(-\,root\,root) \%dir ,' > $RPM_BUILD_DIR/file.list.%{name}
#find . -type f | sed 's,^\.,\%attr(-\,root\,root) ,' >> $RPM_BUILD_DIR/file.list.%{name}
#find . -type l | sed 's,^\.,\%attr(-\,root\,root) ,' >> $RPM_BUILD_DIR/file.list.%{name}
#%{find_lang} %{name}

%clean
rm -rf $RPM_BUILD_ROOT

%post
if [ -x /usr/bin/update-menus ]; then
	/usr/bin/update-menus
fi

%postun
if [ "$1" = 0 ]; then
	if [ -x /usr/bin/update-menus ]; then
		/usr/bin/update-menus
	fi
fi

%files 
%defattr(-,root,root,0755) 
%dir /usr/bin
/usr/bin/kvoice
%dir /usr/share/doc/kde1/HTML/en/kvoice
/usr/share/doc/kde1/HTML/en/kvoice/*
%dir /usr/lib/menu
/usr/lib/menu/kvoice
%dir /usr/lib/kde1-compat/share/applnk/Applications
/usr/lib/kde1-compat/share/applnk/Applications/kvoice.kdelnk
%dir /usr/lib/kde1-compat/share/apps/kvoice
/usr/lib/kde1-compat/share/apps/kvoice/pics/*
%dir /usr/lib/kde1-compat/share/config
/usr/lib/kde1-compat/share/config/kvoicerc
%{_iconsdir}

%changelog
* Mon Oct 09 2000 Daouda Lo <daouda@mandrakesoft.com> 0.3.1-5mdk
- icons
 
* Wed Sep 13 2000 Etienne Faure  <etienne@mandraksoft.com> 0.3.1-4mdk
- rebuilt with new lib path
- macros
- remove file list

* Fri Mar 31 2000 Franois Pons <fpons@mandrakesoft.com> 0.3.1-3mdk
- updated Group.
- added menu entry.

* Fri Jan 21 2000 Chmouel Boudjnah <chmouel@mandrakesoft.com> 
- Libtoolize --force.

* Mon Nov 25 1999 Camille Begnis <camille@mandrakesoft.com>
- 0.3.1
- spec clean-up
- added requirement kdelibs >= 1.0 and removed others dependant
- SMP compilation
 
* Mon Jul 19 1999 Chmouel Boudjnah <chmouel@mandrakesoft.com>
- Build release.

